<?php
namespace App\Twig;

use Twig\Extension\AbstractExtension;
use Twig\TwigFilter;

class AppExtension extends AbstractExtension
{
    public function getFilters()
    {
        return [
            new TwigFilter('markdown', [$this, 'parseMarkdown']),
        ];
    }

    public function parseMarkdown(string $markdown) {
        $parsedown = new \Parsedown();
        return $parsedown->text($markdown);
    }
}